"use strict";

exports.__esModule = true;
exports.setBatch = exports.getBatch = void 0;
// Default to a dummy "batch" implementation that just runs the callback
function defaultNoopBatch(callback) {
  callback();
}
let batch = defaultNoopBatch;

// Allow injecting another batching function later
const setBatch = newBatch => batch = newBatch;

// Supply a getter just to skip dealing with ESM bindings
exports.setBatch = setBatch;
const getBatch = () => batch;
exports.getBatch = getBatch;